Bug 1215451 - yumex-dnf should Obsolete: yumex (f22 and f21) and Provide: yumex (rawhide)
Summary: yumex-dnf should Obsolete: yumex (f22 and f21) and Provide: yumex (rawhide)
Keywords:
Status: CLOSED UPSTREAM
Alias: None
Product: Fedora
Classification: Fedora
Component: yumex-dnf
Version: rawhide
Hardware: All
OS: Linux
unspecified
low
Target Milestone: ---
Assignee: Tim Lauridsen
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On: 1181567
Blocks:
TreeView+ depends on / blocked
 
Reported: 2015-04-26 16:50 UTC by Raphael Groner
Modified: 2015-11-15 16:52 UTC (History)
3 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2015-11-15 16:52:22 UTC
Type: Bug


Attachments (Terms of Use)

Description Raphael Groner 2015-04-26 16:50:51 UTC
Description of problem:
DNF will replace yum. So should yumex do. It is not of much use to install both yumex and yumex in F21 and F22. Retire yumex in Rawhide.

Actual results:
Possible to install both yumex and yumex-dnf in parallel.

Expected results:
Enforce the user to decide between yumex (legacy) or yumex-dnf, but not both.

Additional info:
F21 has yum as default. - It is usefull to suggest yumex as default.
F22 has dnf to deprecate yum. - Usefull to suggest yumex-dnf but yumex should be still possible.
Rawhide (F23) will have dnf only. Retire yumex (legacy).

Comment 1 Raphael Groner 2015-04-26 16:52:09 UTC
Sorry, typo:
"It is not of much use to install both yumex (legacy) and yumex-dnf in F21 and F22."

Comment 2 Tim Lauridsen 2015-04-26 17:01:51 UTC
first step was to get yumex-dnf into fedora, next step will retire yumex, but I have not made an exact plan to do so yes.

Should properly not retire yumex, before yum is retired, are you sure that yum, will not be available in F23 ?

Comment 3 Raphael Groner 2015-04-26 17:33:22 UTC
(In reply to Tim Lauridsen from comment #2)
…
> Should properly not retire yumex, before yum is retired, are you sure that
> yum, will not be available in F23 ?

The ticket clearly states:
" Make DNF/Yum4 the new default packaging tool in F22. "
https://fedorahosted.org/fesco/ticket/1312

We must keep Yumex till it's official to retire yum, so for now no retirement needed in rawhide. But with DNF as official tool to manage packages, this should be kept in conjunction then with Yumex-DNF. You're somehow right.

Comment 4 Wolfgang Ulbrich 2015-05-10 09:10:00 UTC
Please don't do that in that early stage of dnf in f22.
A lot of yum plugins, ie. version-lock isn't ported to dnf yet. So using yumex is quite useful in some cases.
Also i see no conflict if both versions are installed.

Thank you

Comment 5 Raphael Groner 2015-05-10 09:56:14 UTC
yumex-dnf does not work for me in Fedora 21. I get a "root backend not authorized" error, could that be due to polkit? Sorry if that is a support question, but it shows that yumex-dnf is currently not ready for daily usage, at least not in F21 without custom configuration.

Comment 6 Tim Lauridsen 2015-05-10 13:21:02 UTC
(In reply to Wolfgang Ulbrich from comment #4)
> Please don't do that in that early stage of dnf in f22.
> A lot of yum plugins, ie. version-lock isn't ported to dnf yet. So using
> yumex is quite useful in some cases.
> Also i see no conflict if both versions are installed.
> 
> Thank you

No plan to retire yumex, before yum is retired, yumex proberly be retired, in f23 or f24 from fedora.

Comment 7 Tim Lauridsen 2015-05-10 13:23:29 UTC
(In reply to Raphael Groner from comment #5)
> yumex-dnf does not work for me in Fedora 21. I get a "root backend not
> authorized" error, could that be due to polkit? Sorry if that is a support
> question, but it shows that yumex-dnf is currently not ready for daily
> usage, at least not in F21 without custom configuration.

I use yumex-dnf in F21 and have not problems, could you make a separate bz about your issues, so we can track down the problem.

Comment 8 Raphael Groner 2015-05-10 13:31:20 UTC
Forget about my comment #5, it turns out this is an issue with polkit agent configuration in lxqt-common and has nothing to do with yumex[-dnf].

Comment 9 Tim Lauridsen 2015-05-19 16:49:34 UTC
Close for now, can't be done before yum is retired, so there is no need to keep this open

Comment 10 Raphael Groner 2015-07-21 12:32:14 UTC
(In reply to Tim Lauridsen from comment #6)
> (In reply to Wolfgang Ulbrich from comment #4)
> > Please don't do that in that early stage of dnf in f22.
> > A lot of yum plugins, ie. version-lock isn't ported to dnf yet. So using
> > yumex is quite useful in some cases.
> > Also i see no conflict if both versions are installed.
> > 
> > Thank you
> 
> No plan to retire yumex, before yum is retired, yumex proberly be retired,
> in f23 or f24 from fedora.

Depending bug #1181567 with Feature tracking got closed today.
https://fedoraproject.org//wiki/Changes/qtile

Comment 11 Raphael Groner 2015-07-21 12:33:13 UTC
Sorry, catched the wrong URL. The right one is:

https://fedoraproject.org//wiki/Changes/ReplaceYumWithDNF

Comment 12 Tim Lauridsen 2015-10-06 10:13:37 UTC
yumex is retired in rawhide, next release of yumex-dnf will provide yumex in rawhide

Comment 13 Tim Lauridsen 2015-10-06 10:19:27 UTC
upstream tracker issue

https://github.com/timlau/yumex-dnf/issues/60

Comment 14 Wolfgang Ulbrich 2015-10-06 12:21:14 UTC
Will yum remove in rawhide/f24?
And will yumex-dnf follow dnf plugins in rawhide/f24?

Comment 15 Tim Lauridsen 2015-10-06 14:30:02 UTC
(In reply to Wolfgang Ulbrich from comment #14)
> Will yum remove in rawhide/f24?
I don't know if yum will be retired in F24, but it is the 3 release, where dnf
has been the main package cli and I don't have time to support both yumex & yumex-dnf forever.

> And will yumex-dnf follow dnf plugins in rawhide/f24?

I am not sure I understand the question, dnf plugins is only for the dnf cli
there are not active when using the dnf API.

Comment 16 Raphael Groner 2015-11-15 16:52:22 UTC
IMHO We should not touch common behaviour in Fedora 22, and F21 is shortly going to EOL anyways. Yumex is dead in rawhide. I'm fine with this decision as in comment #12 and this bug can be closed.


Note You need to log in before you can comment on or make changes to this bug.